<?php

namespace Modules\PaymentLog\Interfaces;

use Modules\PaymentLog\Models\PaymentLog;

interface PaymentLogRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): PaymentLog;
    public function update(array $request, PaymentLog $paymentLog): PaymentLog;
    public function destroy(PaymentLog $paymentLog): void;
    public function destroyAll(array $ids): void;
    public function restore(PaymentLog $paymentLog): void;
    public function restoreAll(array $ids): void;
}
